//
//  LGLChartUtil.h
//  Test
//
//  Created by LGL on 2016/12/23.
//  Copyright © 2016年 ehoo100. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "CAShapeLayer+Other.h"
#import "UIView+Frame.h"

#define LGLChartColor(R,G,B,A) [UIColor colorWithRed:R/255.0 green:G/255.0 blue:B/255.0 alpha:A]
#define LGLChartYellowColor LGLChartColor(245,167,0, 1)
#define LGLChartOrangeColor LGLChartColor(255,120,72, 1)
#define LGLChartBlueColor LGLChartColor(65, 197, 238, 1)
#define LGLChartBackgroundColor LGLChartColor(244,244,244,1)
#define LGLChartLightGrayColor LGLChartColor(232, 232, 232, 1)
#define LGLChartScreenWidth [UIScreen mainScreen].bounds.size.width
#define LGLChartScreenScale LGLChartScreenWidth/375.0

// 线条宽度
extern const CGFloat LGLChartLineWidth;
// 零
extern const CGFloat LGLChartZero;

@interface LGLChartUtil : NSObject

// 数字转汉字，最多保留两位，大于小数点后两位的一律舍去
+ (NSString *)stringFromNumber:(NSNumber *)number;

// 坐标数组转CGPoint
+ (CGPoint)pointFromArray:(NSArray *)pointArray;

// 求数组最大值
+ (CGFloat)maxNumber:(NSArray *)datas;

// 求数组最大绝对值
+ (CGFloat)maxAbsolute:(NSArray *)datas;

// 求数组最小值
+ (CGFloat)minNumber:(NSArray *)datas;

// 求数组最小绝对值
+ (CGFloat)minAbsolute:(NSArray *)datas;

@end
