//
//  LGLChartUtil.m
//  Test
//
//  Created by LGL on 2016/12/23.
//  Copyright © 2016年 ehoo100. All rights reserved.
//

#import "LGLChartUtil.h"

// 线条宽度
const CGFloat LGLChartLineWidth = 0.5;
// 零
const CGFloat LGLChartZero = 0.00001f;

@implementation LGLChartUtil

// 数字转汉字，最多保留两位，大于小数点后两位的一律舍去
+ (NSString *)stringFromNumber:(NSNumber *)number {
    
    NSString *string = [NSString stringWithFormat:@"%.2f", [number floatValue]];
    string = [NSString stringWithFormat:@"%@", @([string floatValue])];
    
    return string;
}

// 坐标数组转CGPoint
+ (CGPoint)pointFromArray:(NSArray *)pointArray {
    return CGPointMake([pointArray[0] doubleValue], [pointArray[1] doubleValue]);
}


// 求数组最大值
+ (CGFloat)maxNumber:(NSArray *)datas {
    CGFloat max = [datas[0] doubleValue];
    for (NSNumber *num in datas) {
        if (max < [num doubleValue]) {
            max = [num doubleValue];
        }
    }
    return max;
}

// 求数组最大绝对值
+ (CGFloat)maxAbsolute:(NSArray *)datas {
    CGFloat max = 0;
    for (NSNumber *num in datas) {
        CGFloat absNum = fabs([num doubleValue]);
        if (max < absNum) {
            max = absNum;
        }
    }
    return max;
}

// 求数组最小值
+ (CGFloat)minNumber:(NSArray *)datas {
    CGFloat min = [datas[0] doubleValue];
    for (NSNumber *num in datas) {
        if ([num doubleValue] < min) {
            min = [num doubleValue];
        }
    }
    return min;
}

// 求数组最小绝对值
+ (CGFloat)minAbsolute:(NSArray *)datas {
    CGFloat min = 0;
    for (NSNumber *num in datas) {
        CGFloat absNum = fabs([num doubleValue]);
        if (absNum < min) {
            min = absNum;
        }
    }
    return min;
}


@end
